# kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

#secretGenerator:
#  - name: mongodb-pass
#    literals:
#      - password=password
#generatorOptions:
#  disableNameSuffixHash: true


images:
  - name: atospledger/e2co
    newName: 116.203.2.204:443/plgregistry/e2co
    newTag: IMAGE_TAG  
  - name: atospledger/e2co-ui
    newName: 116.203.2.204:443/plgregistry/e2co-ui
    newTag: IMAGE_TAG
  #- name: e2co-db
  #  newName: mongo
  #  newTag: latest

#resources:
bases:
  - ../../base

patchesStrategicMerge:
- patch_env_ui.yaml
- patch_env_app.yaml
#- patch_nodeselector_db.yaml
